import java.io.*;

class DateiLeser {

BufferedReader ein;

	public DateiLeser (String name) {
	    	try{
			FileReader dateiStream = new FileReader(name);
			ein = new BufferedReader(dateiStream);
             	}
	     	catch (IOException e){
			System.out.println("Datei nicht gefunden");
			System.exit(0);
	     	}
	}

	public String zeileLesen() {
		String zeile = null;
	    	try{
			zeile= ein.readLine();    // Ende, wenn == null
             	}
	     	catch (IOException e){
			System.out.println("Hinter Dateiende gelesen");
			System.exit(0);
		}
		return zeile;
	}

	public void dateiSchliessen() {
	    	try{
			ein.close();
             	}
	     	catch (IOException e){
			System.out.println("Datei kann nach Lesen nicht geschlossen werden");
			System.exit(0);
		}
	}

}

//  Hinweis:

//	public static void main(String argv[]) throws Exception {
//                                             ^^^^^^^^^^^^^^^^
